%define languageenglazy Slovenian
%define languagecode    sl
%define lc_ctype        sl_SI

%define upstream_version 20151225

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 18
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            https://extensions.openoffice.org/en/project/slovenian-dictionary-package-slovenski-paket-slovarjev
Source0:        https://sourceforge.net/projects/aoo-extensions/files/3280/10/pack-sl.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-sl
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README*
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20151225.1-18.mga10
+ Revision: 2202566
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20151225.1-17.mga9
+ Revision: 1807997
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20151225.1-16.mga8
+ Revision: 1501677
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20151225.1-15.mga7
+ Revision: 1278853
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 kekepower <kekepower> 0.20151225.1-14.mga7
+ Revision: 1213774
- Update to release 20151225

* Fri Feb 05 2016 umeabot <umeabot> 0.20070127.1-14.mga6
+ Revision: 939793
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20070127.1-13.mga5
+ Revision: 740012
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20070127.1-12.mga5
+ Revision: 680303
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20070127.1-11.mga4
+ Revision: 505853
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20070127.1-10.mga3
+ Revision: 353707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20070127.1-9.mga2
+ Revision: 224845
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20070127.1-8.mga2
+ Revision: 209097
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 0.20070127.1-7.mga2
+ Revision: 206341
- adapt .spec to the current policies
+ lmenut <lmenut>
- fix permissions of world-writable files

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20070127.1-5.mga1
+ Revision: 69089
- imported package hunspell-sl


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20070127-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20070127-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20070127-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 09 2007 Caolan McNamara <caolanm@redhat.com> - 0.20070127-2
- clarify license version

* Wed Feb 14 2007 Caolan McNamara <caolanm@redhat.com> - 0.20070127-1
- next version

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20021008-1
- initial version
